<?xml version="1.0" encoding="UTF-8" ?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xrl="http://netkernel.org/xrl"  xmlns:nk="http://1060.org">
	<xsl:output method="xml" />
	<xsl:param name="mode" nk:class="java.lang.String" />
	<xsl:param name="confirm" nk:class="java.lang.String" />
	<xsl:param name="needsConfirm" nk:class="java.lang.Boolean" />
	<xsl:template match="/">

		<div>
			<xsl:choose>
				<xsl:when test="$needsConfirm">
					<div class="alert alert-danger"><xsl:value-of select="/status"/></div>
				</xsl:when>
				<xsl:otherwise>
					<div class="alert alert-info"><xsl:value-of select="/status"/></div>
				</xsl:otherwise>
			</xsl:choose>
			
			<xsl:if test="$needsConfirm">
			<form method="post">
				<input type="hidden" name="confirm" value="{$confirm}" />
				<input class="btn btn-danger" type="submit" name="action2" value="confirm {$mode}" />
			</form>
			</xsl:if>
		</div>

	</xsl:template>
</xsl:stylesheet>