package org.netkernel.mod.architecture.bits.staticstructure;

import java.util.Set;

public class GraphEdge
{
	public final GraphNode mNode1;
	public final GraphNode mNode2;
	public final String mEndpointHash;
	public final Set<String> mInjectedSpaces;
	
	public GraphEdge(GraphNode aNode1, GraphNode aNode2, String aEndpointHash, Set<String> aInjectedSpaces)
	{	mNode1=aNode1;
		mNode2=aNode2;
		mEndpointHash=aEndpointHash;
		mInjectedSpaces=aInjectedSpaces;
	}
	
	public int hashCode()
	{	return mNode1.hashCode()^mNode2.hashCode();
	}
	
	public boolean equals(Object aOther)
	{	return aOther instanceof GraphEdge && ((GraphEdge)aOther).mNode1==mNode1 && ((GraphEdge)aOther).mNode2==mNode2;
	}
}
